package com.ruoyi.system.domain.remind;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 待办提醒对象 wait_remind
 * 
 * @author boman
 * @date 2024-04-29
 */
public class WaitRemind extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 提醒ID */
    private Integer remindId;

    /** 贷款申请id */
    @Excel(name = "贷款申请id")
    private Long loanApplicationId;

    /** 贷款申请编号 */
    @Excel(name = "贷款申请编号")
    private String loanApplicationNumber;

    /** 提醒标题 */
    @Excel(name = "提醒标题")
    private String remindTitle;

    /** 提醒类型（1：申报审核 2：担保初始 3：尽职调查 4：合同签署 5：评审会） */
    @Excel(name = "提醒类型", readConverterExp = "1=：申报审核,2=：担保初始,3=：尽职调查,4=：合同签署,5=：评审会")
    private String remindType;

    /** 提醒内容 */
    @Excel(name = "提醒内容")
    private String remindContent;

    /** 提醒时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提醒时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date remindTime;

    /** 已读过的用户ID */
    @Excel(name = "已读过的用户ID")
    private String readUserId;

    /** 是否已读 N:未读 Y：已读 */
    @Excel(name = "是否已读 N:未读 Y：已读")
    private String isRead;

    /** 提醒状态（0正常 1关闭） */
    @Excel(name = "提醒状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    public void setRemindId(Integer remindId) 
    {
        this.remindId = remindId;
    }

    public Integer getRemindId() 
    {
        return remindId;
    }
    public void setLoanApplicationId(Long loanApplicationId) 
    {
        this.loanApplicationId = loanApplicationId;
    }

    public Long getLoanApplicationId() 
    {
        return loanApplicationId;
    }
    public void setLoanApplicationNumber(String loanApplicationNumber) 
    {
        this.loanApplicationNumber = loanApplicationNumber;
    }

    public String getLoanApplicationNumber() 
    {
        return loanApplicationNumber;
    }
    public void setRemindTitle(String remindTitle) 
    {
        this.remindTitle = remindTitle;
    }

    public String getRemindTitle() 
    {
        return remindTitle;
    }
    public void setRemindType(String remindType) 
    {
        this.remindType = remindType;
    }

    public String getRemindType() 
    {
        return remindType;
    }
    public void setRemindContent(String remindContent) 
    {
        this.remindContent = remindContent;
    }

    public String getRemindContent() 
    {
        return remindContent;
    }
    public void setRemindTime(Date remindTime) 
    {
        this.remindTime = remindTime;
    }

    public Date getRemindTime() 
    {
        return remindTime;
    }
    public void setReadUserId(String readUserId) 
    {
        this.readUserId = readUserId;
    }

    public String getReadUserId() 
    {
        return readUserId;
    }
    public void setIsRead(String isRead) 
    {
        this.isRead = isRead;
    }

    public String getIsRead() 
    {
        return isRead;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("remindId", getRemindId())
            .append("loanApplicationId", getLoanApplicationId())
            .append("loanApplicationNumber", getLoanApplicationNumber())
            .append("remindTitle", getRemindTitle())
            .append("remindType", getRemindType())
            .append("remindContent", getRemindContent())
            .append("remindTime", getRemindTime())
            .append("readUserId", getReadUserId())
            .append("isRead", getIsRead())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
